set(SWOOSE_MODULE_FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/SwooseModule.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/SwooseModule.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/MolecularMechanicsCalculator.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/MolecularMechanicsCalculator.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/SFAM/SfamMolecularMechanicsCalculator.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/SFAM/SfamMolecularMechanicsCalculator.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/SFAM/SfamCalculatorSettings.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/GAFF/GaffCalculatorSettings.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/GAFF/GaffMolecularMechanicsCalculator.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/GAFF/GaffMolecularMechanicsCalculator.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/InteractionExclusion.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/InteractionExclusion.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/ScaledInteractions.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/ScaledInteractions.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/MMExceptions.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/MMParameters.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/MMParameters.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/PotentialTermsHelper.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/PotentialTermsHelper.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Topology/IndexedStructuralElements.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Topology/IndexedStructuralTopology.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Topology/IndexedStructuralTopology.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Topology/IndexedStructuralTopologyCreator.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Topology/IndexedStructuralTopologyCreator.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/AtomTypesHolder.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/SFAM/SfamAtomTypeIdentifier.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/SFAM/SfamAtomTypeIdentifier.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/Electrostatic.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/Electrostatic.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/ElectrostaticEvaluator.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/ElectrostaticEvaluator.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/Repulsion.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/Repulsion.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/RepulsionParameters.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/RepulsionParameters.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/RepulsionTerm.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/RepulsionTerm.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/RepulsionEvaluator.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/RepulsionEvaluator.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/Dispersion.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/Dispersion.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/DispersionEvaluator.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/DispersionEvaluator.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/DispersionTerm.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/DispersionTerm.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/Bond.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/Bond.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/BondedTerm.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/BondedTerm.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/BondsEvaluator.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/BondsEvaluator.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Topology/BondType.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/Angle.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/Angle.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/AngleTerm.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/AngleTerm.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/AnglesEvaluator.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/AnglesEvaluator.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Topology/AngleType.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/Dihedral.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/Dihedral.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/DihedralTerm.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/DihedralTerm.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/DihedralsEvaluator.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/DihedralsEvaluator.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/ImproperDihedral.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/ImproperDihedral.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/ImproperDihedralTerm.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/ImproperDihedralTerm.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/ImproperDihedralsEvaluator.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/ImproperDihedralsEvaluator.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/InteractionTermBase.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Topology/ImproperDihedralType.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Topology/DihedralType.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/LennardJones.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/LennardJones.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/LennardJonesEvaluator.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/LennardJonesEvaluator.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/HydrogenBond.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/HydrogenBond.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/HydrogenBondTerm.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/HydrogenBondTerm.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/HydrogenBondEvaluator.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/HydrogenBondEvaluator.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Interactions/HydrogenBondParameters.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/SFAM/SfamParameters.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/SFAM/SfamParameters.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Parameters/LennardJonesParameters.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Parameters/LennardJonesParameters.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Parameters/BondParameters.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Parameters/BondParameters.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Parameters/AngleParameters.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Parameters/AngleParameters.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Parameters/DihedralParameters.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Parameters/DihedralParameters.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Parameters/ImproperDihedralParameters.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Parameters/ImproperDihedralParameters.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/SFAM/SfamParameterParser.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/SFAM/SfamParameterParser.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Parameters/DispersionC6Parameters.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/Parameters/DispersionC6Parameters.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/SFAM/SfamPotentialTermsGenerator.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/SFAM/SfamPotentialTermsGenerator.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/GAFF/GaffPotentialTermsGenerator.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/GAFF/GaffPotentialTermsGenerator.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/GAFF/GaffAtomTypeIdentifier.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/GAFF/GaffAtomTypeIdentifier.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/GAFF/GaffParameters.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/GAFF/GaffParameters.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/GAFF/GaffParameterParser.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/GAFF/GaffParameterParser.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/GAFF/GaffParameterDefaultsProvider.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/GAFF/GaffParameterDefaultsProvider.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MolecularMechanics/GAFF/GaffDefaultParameters.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/Utilities/TopologyUtils.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/Utilities/TopologyUtils.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MMParametrization/ParametrizationData.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MMParametrization/Parametrizer.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MMParametrization/Parametrizer.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MMParametrization/MMParametrizationSettings.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MMParametrization/OptimizationSetup.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MMParametrization/OptimizationSetup.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MMParametrization/ParameterOptimizer.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MMParametrization/ParameterOptimizer.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MMParametrization/ParametrizationUtils/UpdateFunctionManager.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MMParametrization/ParametrizationUtils/UpdateFunctionManager.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MMParametrization/ParametrizationUtils/ConnectivityGenerator.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MMParametrization/ParametrizationUtils/ConnectivityGenerator.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MMParametrization/ParametrizationUtils/SuperfluousFragmentIdentifier.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MMParametrization/ParametrizationUtils/SuperfluousFragmentIdentifier.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MMParametrization/ParametrizationUtils/ParameterFileWriter.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MMParametrization/ParametrizationUtils/ParameterFileWriter.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MMParametrization/ParametrizationUtils/ReparametrizationHelper.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MMParametrization/ParametrizationUtils/ReparametrizationHelper.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MMParametrization/MolecularSystemPartitioner.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MMParametrization/MolecularSystemPartitioner.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MMParametrization/ParametrizationUtils/FullHessianAssembler.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MMParametrization/ParametrizationUtils/FullHessianAssembler.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MMParametrization/CalculationManager.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MMParametrization/CalculationManager.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MMParametrization/ReferenceCalculationHelpers/DatabaseOrderNames.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MMParametrization/ReferenceCalculationHelpers/ReferenceCalculationsIO.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MMParametrization/ReferenceCalculationHelpers/ReferenceCalculationsIO.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MMParametrization/ReferenceCalculationHelpers/DirectCalculationsHelper.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MMParametrization/ReferenceCalculationHelpers/DirectCalculationsHelper.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MMParametrization/ParametrizationUtils/FragmentDataDistributor.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MMParametrization/ParametrizationUtils/FragmentDataDistributor.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MMParametrization/ParametrizationUtils/AtomicChargesAssembler.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MMParametrization/ParametrizationUtils/AtomicChargesAssembler.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MMParametrization/ParametrizationUtils/TitrationHelper.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MMParametrization/ParametrizationUtils/TitrationHelper.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/Utilities/FragmentAnalyzer.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/Utilities/FragmentAnalyzer.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/Utilities/AtomicInformationReader.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/Utilities/AtomicInformationReader.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/Utilities/FragmentationHelper.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/Utilities/FragmentationHelper.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/Utilities/BasicJobSubmissionHelper.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/Utilities/BasicJobSubmissionHelper.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MMParametrization/ParametrizationUtils/ConstrainedAtomsIdentifier.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MMParametrization/ParametrizationUtils/ConstrainedAtomsIdentifier.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/Utilities/SubsystemGenerator.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/Utilities/SubsystemGenerator.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/Utilities/ConnectivityFileHandler.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/Utilities/ConnectivityFileHandler.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/Utilities/TitrationFileHandler.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/Utilities/TitrationFileHandler.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MachineLearning/MolecularMachineLearningModel.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MachineLearning/MolecularMachineLearningModel.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/QMMM/QmmmCalculator.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/QMMM/QmmmCalculator.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/QMMM/QmmmCalculatorSettings.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/QMMM/QmmmHelpers.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/QMMM/QmmmHelpers.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/QMMM/InteractionTermEliminator.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/QMMM/InteractionTermEliminator.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/QMMM/QmmmGradientsEvaluator.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/QMMM/QmmmGradientsEvaluator.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/QMMM/QmmmHessianEvaluator.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/QMMM/QmmmHessianEvaluator.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/QMMM/QmRegionSelection/QmRegionSelector.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/QMMM/QmRegionSelection/QmRegionSelector.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/QMMM/QmRegionSelection/QmRegionSelectorSettings.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/QMMM/QmRegionSelection/QmRegionCandidateGenerator.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/QMMM/QmRegionSelection/QmRegionCandidateGenerator.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/QMMM/QmRegionSelection/QmmmReferenceDataManager.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/QMMM/QmRegionSelection/QmmmReferenceDataManager.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/QMMM/QmRegionSelection/QmmmModelAnalyzer.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/QMMM/QmRegionSelection/QmmmModelAnalyzer.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/QMMM/QmRegionSelection/QmmmDirectCalculationsHelper.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/QMMM/QmRegionSelection/QmmmDirectCalculationsHelper.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/QMMM/QmRegionSelection/SymmetryScores.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/QMMM/QmRegionSelection/SymmetryScores.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/StructurePreparation/AminoAcidGraphRepresentations.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/StructurePreparation/AminoAcidGraphRepresentations.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/StructurePreparation/StructurePreparationData.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/StructurePreparation/StructurePreparationHelper.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/StructurePreparation/StructurePreparationHelper.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/StructurePreparation/StructurePreparationSettings.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/StructurePreparation/StructureProcessor.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/StructurePreparation/StructureProcessor.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/StructurePreparation/StructurePreparationIO.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/StructurePreparation/StructurePreparationIO.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/StructurePreparation/ProteinStructures.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/StructurePreparation/Protonation/ProtonationHelper.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/StructurePreparation/Protonation/ProtonationHelper.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/StructurePreparation/Protonation/ProtonationHandler.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/StructurePreparation/Protonation/ProtonationHandler.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/StructurePreparation/Protonation/TitrationData.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/StructurePreparation/SpecialCaseHandler.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/StructurePreparation/SpecialCaseHandler.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/Utilities/SettingsNames.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/Utilities/OptionNames.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/Utilities/SettingsPopulator.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/Utilities/CalculatorOptions.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Swoose/Utilities/ModuleLoader.h
    $<$<BOOL:${SWOOSE_COMPILE_DATABASE}>:${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MMParametrization/ReferenceCalculationHelpers/DatabaseHelper.cpp>
    $<$<BOOL:${SWOOSE_COMPILE_DATABASE}>:${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MMParametrization/ReferenceCalculationHelpers/DatabaseHelper.h>
    $<$<BOOL:${SWOOSE_COMPILE_DATABASE}>:${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MMParametrization/ReferenceCalculationHelpers/DatabaseJobSubmissionHelper.cpp>
    $<$<BOOL:${SWOOSE_COMPILE_DATABASE}>:${CMAKE_CURRENT_SOURCE_DIR}/Swoose/MMParametrization/ReferenceCalculationHelpers/DatabaseJobSubmissionHelper.h>
    $<$<BOOL:${SWOOSE_COMPILE_DATABASE}>:${CMAKE_CURRENT_SOURCE_DIR}/Swoose/QMMM/QmRegionSelection/QmmmDatabaseHelper.cpp>
    $<$<BOOL:${SWOOSE_COMPILE_DATABASE}>:${CMAKE_CURRENT_SOURCE_DIR}/Swoose/QMMM/QmRegionSelection/QmmmDatabaseHelper.h>
    )

set(SWOOSE_APP_FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/App/SwooseApp.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/App/AppUtils/CommandLineOptions.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/App/AppUtils/CommandLineOptions.h
    ${CMAKE_CURRENT_SOURCE_DIR}/App/AppUtils/Tasks.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/App/AppUtils/Tasks.h
    )

set(SWOOSE_TEST_FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/Tests/SfamMolecularMechanicsTest.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Tests/GaffMolecularMechanicsTest.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Tests/ParametrizationOfSmallSystemsTest.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Tests/ParametrizationOfLargeSystemsTest.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Tests/AtomicInformationReaderTest.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Tests/BondOrderRefinementTest.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Tests/MolecularMachineLearningTest.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Tests/TestUtilities/ReferenceDataForTests.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Tests/TestUtilities/AminoAcidDataForTests.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Tests/InteractionTermEliminatorTest.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Tests/QmmmHelperFunctionsTest.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Tests/QmmmTest.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Tests/TestUtilities/MockModule.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Tests/TestUtilities/MockModule.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Tests/TestUtilities/MockQmCalculator.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Tests/TestUtilities/MockQmCalculator.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Tests/AppTest.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Tests/QmRegionSelectionTests.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Tests/JobSubmissionHelperTest.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Tests/StructurePreparationTest.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Tests/TitrationTest.cpp
    $<$<BOOL:${SWOOSE_COMPILE_DATABASE}>:${CMAKE_CURRENT_SOURCE_DIR}/Tests/DatabaseModeTest.cpp>
    )

set(SWOOSE_PYTHON_FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/Python/PythonModule.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Python/TaskHandlerPython.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Python/ParametrizerPython.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Python/QmRegionSelectorPython.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Python/SwooseUtilitiesPython.cpp
    )
